
Figure - Bug #117142
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT3】【Monkey】Monkey测试12小时，出现CRASH: com.android.settings（18）
2023-03-24 11:28 - CD TEST-方永红

Status: CLOSED Start date: 2023-03-24

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101(X101).202303220131

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-03-24

Test Type: ST Root cause: 从外部跳转通知历史记录处理逻辑问题导致。

Description

【执行命令】

adb shell

monkey --pkg-blacklist-file /sdcard/blacklist.txt --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes

--ignore-native-crashes -s 20 --throttle 500 --pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 10

--pct-anyevent 10 --ignore-crashes -v -v -v 86400 2>/sdcard/error.txt 1>/sdcard/info.txt

【错误信息】

CRASH: com.android.settings (pid 7927)

// Short Msg: java.lang.ClassCastException

// Long Msg: java.lang.ClassCastException: com.android.settings.notification.history.NotificationHistoryActivity cannot be cast to

android.app.Activity

// Build Label: TC/figure_CN/figure:12/SKQ1.220201.001/2563:user/test-keys

// Build Changelist: 2563

// Build Time: 1679424085000

// java.lang.RuntimeException: Unable to instantiate activity

ComponentInfo{com.android.settings/com.android.settings.notification.history.NotificationHistoryActivity}: java.lang.ClassCastException:

com.android.settings.notification.history.NotificationHistoryActivity cannot be cast to android.app.Activity

//     at android.app.ActivityThread.performLaunchActivity(ActivityThread.java:3546)

//     at android.app.ActivityThread.handleLaunchActivity(ActivityThread.java:3793)

//     at android.app.servertransaction.LaunchActivityItem.execute(LaunchActivityItem.java:103)

//     at android.app.servertransaction.TransactionExecutor.executeCallbacks(TransactionExecutor.java:135)

//     at android.app.servertransaction.TransactionExecutor.execute(TransactionExecutor.java:95)

//     at android.app.ActivityThread$H.handleMessage(ActivityThread.java:2211)

//     at android.os.Handler.dispatchMessage(Handler.java:106)

//     at android.os.Looper.loopOnce(Looper.java:201)

//     at android.os.Looper.loop(Looper.java:288)

//     at android.app.ActivityThread.main(ActivityThread.java:7880)

//     at java.lang.reflect.Method.invoke(Native Method)

//     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

//     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

// Caused by: java.lang.ClassCastException: com.android.settings.notification.history.NotificationHistoryActivity cannot be cast to

android.app.Activity

//     at android.app.AppComponentFactory.instantiateActivity(AppComponentFactory.java:95)

//     at androidx.core.app.CoreComponentFactory.instantiateActivity(CoreComponentFactory.java:45)
//     at android.app.Instrumentation.newActivity(Instrumentation.java:1274)

//     at android.app.ActivityThread.performLaunchActivity(ActivityThread.java:3533)

//     ... 12 more

// 

// CRASH: com.android.settings (pid 17716)

// Short Msg: java.lang.ClassCastException

// Long Msg: java.lang.ClassCastException: com.android.settings.notification.history.NotificationHistoryActivity cannot be cast to

android.app.Activity

// Build Label: TC/figure_CN/figure:12/SKQ1.220201.001/2563:user/test-keys

// Build Changelist: 2563

// Build Time: 1679424085000

// java.lang.RuntimeException: Unable to instantiate activity

ComponentInfo{com.android.settings/com.android.settings.notification.history.NotificationHistoryActivity}: java.lang.ClassCastException:

com.android.settings.notification.history.NotificationHistoryActivity cannot be cast to android.app.Activity

//     at android.app.ActivityThread.performLaunchActivity(ActivityThread.java:3546)

//     at android.app.ActivityThread.handleLaunchActivity(ActivityThread.java:3793)

//     at android.app.servertransaction.LaunchActivityItem.execute(LaunchActivityItem.java:103)

//     at android.app.servertransaction.TransactionExecutor.executeCallbacks(TransactionExecutor.java:135)

//     at android.app.servertransaction.TransactionExecutor.execute(TransactionExecutor.java:95)

//     at android.app.ActivityThread$H.handleMessage(ActivityThread.java:2211)

//     at android.os.Handler.dispatchMessage(Handler.java:106)

//     at android.os.Looper.loopOnce(Looper.java:201)

//     at android.os.Looper.loop(Looper.java:288)

//     at android.app.ActivityThread.main(ActivityThread.java:7880)

//     at java.lang.reflect.Method.invoke(Native Method)

//     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

//     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

// Caused by: java.lang.ClassCastException: com.android.settings.notification.history.NotificationHistoryActivity cannot be cast to

android.app.Activity

//     at android.app.AppComponentFactory.instantiateActivity(AppComponentFactory.java:95)

//     at androidx.core.app.CoreComponentFactory.instantiateActivity(CoreComponentFactory.java:45)

//     at android.app.Instrumentation.newActivity(Instrumentation.java:1274)

//     at android.app.ActivityThread.performLaunchActivity(ActivityThread.java:3533)

//     ... 12 more

// 

// CRASH: com.android.settings (pid 20464)

// Short Msg: java.lang.ClassCastException

// Long Msg: java.lang.ClassCastException: com.android.settings.notification.history.NotificationHistoryActivity cannot be cast to

android.app.Activity

// Build Label: TC/figure_CN/figure:12/SKQ1.220201.001/2563:user/test-keys

// Build Changelist: 2563

// Build Time: 1679424085000

// java.lang.RuntimeException: Unable to instantiate activity

ComponentInfo{com.android.settings/com.android.settings.notification.history.NotificationHistoryActivity}: java.lang.ClassCastException:

com.android.settings.notification.history.NotificationHistoryActivity cannot be cast to android.app.Activity

//     at android.app.ActivityThread.performLaunchActivity(ActivityThread.java:3546)

//     at android.app.ActivityThread.handleLaunchActivity(ActivityThread.java:3793)

//     at android.app.servertransaction.LaunchActivityItem.execute(LaunchActivityItem.java:103)

//     at android.app.servertransaction.TransactionExecutor.executeCallbacks(TransactionExecutor.java:135)

//     at android.app.servertransaction.TransactionExecutor.execute(TransactionExecutor.java:95)

//     at android.app.ActivityThread$H.handleMessage(ActivityThread.java:2211)

//     at android.os.Handler.dispatchMessage(Handler.java:106)

//     at android.os.Looper.loopOnce(Looper.java:201)
//     at android.os.Looper.loop(Looper.java:288)

//     at android.app.ActivityThread.main(ActivityThread.java:7880)

//     at java.lang.reflect.Method.invoke(Native Method)

//     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

//     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

// Caused by: java.lang.ClassCastException: com.android.settings.notification.history.NotificationHistoryActivity cannot be cast to

android.app.Activity

//     at android.app.AppComponentFactory.instantiateActivity(AppComponentFactory.java:95)

//     at androidx.core.app.CoreComponentFactory.instantiateActivity(CoreComponentFactory.java:45)

//     at android.app.Instrumentation.newActivity(Instrumentation.java:1274)

//     at android.app.ActivityThread.performLaunchActivity(ActivityThread.java:3533)

//     ... 12 more

【日志】

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_117142

History

#1 - 2023-03-24 11:30 - CD TEST-方永红

- Description updated

#2 - 2023-03-24 18:30 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

189765 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Fix navigate to NotificationHistoryActivity crash problem.TC-RID: 1201-0201803IssueID: TS-R-BUG-117142Change-Id:

I3d46b9b643159007c9188f73308eee1e4e3b459f

#3 - 2023-03-24 18:32 - CD FW-廖涛

- Status changed from New to RESOLVED

- Assignee changed from CD FW-廖涛 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-03-24

- Root cause set to 从外部跳转通知历史记录处理逻辑问题导致。

■ Current conclusion

已处理，代码已入库。

■ My analysis

从外部跳转通知历史记录处理逻辑问题导致。

■ Next action

测试验证。
#4 - 2023-03-28 19:28 - CD TEST-方永红

3.27

版本未复现

#5 - 2023-04-01 15:21 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

3.28、29版本均未复现

先关闭

#6 - 2023-04-01 15:22 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

error(4).txt 275 KB 2023-03-24 CD TEST-方永红
